require "bundler"
Bundler.require(:default,:development)

Dir[File.expand_path('../support/*.rb', __FILE__)].each {|f| require f}

Mongoid.configure do |config|
  config.connect_to('actionable_test')
end

module Resque
  def self.purge!
    self.redis.keys('*')
    self.redis.del(*keys) unless keys.count == 0
  end
  # def failure_count
  #   Resque.redis = Redis.new
  #   count = Resque::Failure.count
  #   Resque.redis.namespace = "resque:actionable_test:"
  #   count
  # end
end

RSpec.configure do |config|

  config.treat_symbols_as_metadata_keys_with_true_values = true

  config.before(:each) do
    Resque.redis = Redis.new
    Resque.redis.namespace = "resque:actionable_test:"
  end

  config.after(:each) do
    Resque.purge!
    Mongoid.purge!
    Timecop.return
  end

  config.before(:all) do
    Resque.purge!
    Mongoid.purge!
    Timecop.return
    Resque.inline = false
  end

end
