require "spec_helper"

describe Actionable::Target do

  context "given an actionable for an hour from now" do

    let(:target) {
      TestModel.create({
        color:'blue',
        shape:'square',
        number:3
      })
    }

    before do
      target.schedule_actionable(1.hour.from_now,TestJob,{number:3})
    end

    it "should be added to the database" do
      expect(Actionable::MongoidStore.count).to eq(1)
    end

    it "should not be included as a 'to do'" do
      expect(Actionable::Action.to_do.count).to eq(0)
    end

    it "should not be included as a 'scheduled'" do
      expect(Actionable::Action.scheduled.count).to eq(1)
    end

    context "2 hours later" do

      it "should be included as a 'to do'" do
        Timecop.travel(2.hours.from_now)
        expect(Actionable::Action.to_do.count).to eq(1)
      end

    end

  end

end